Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc
Interface ModuleSpawn

All Superinterfaces:
  Request

    public interface ModuleSpawn

extends Request

An extension of `Request` that contains the URI of an XQuery module (resident server-side) to be spawned asynchronously by the MarkLogic Server.

Method Summary
`String` | `getModuleUri()` Returns the currently set URI for this `Request`.
`void` | `setModuleUri(String uri)` Replace the URI associated with this `Request`, which specifies an XQuery module (server-side code) to be spawned (run asynchronously) on the server.

Methods inherited from interface com.marklogic.xcc.Request
`clearVariable, clearVariables, getEffectiveOptions, getOptions, getSession, getVariables, setNewIntegerVariable, setNewIntegerVariable, setNewStringVariable, setNewStringVariable, setNewVariable, setNewVariable, setNewVariable, setOptions, setVariable`

Method Detail

### setModuleUri

    void setModuleUri(String uri)

  Replace the URI associated with this `Request`, which specifies an XQuery module (server-side code) to be spawned (run asynchronously) on the server.

  Parameters:
    `uri` - A String that represents the URI of a text document known to the server which is an XQuery module.

### getModuleUri

    String getModuleUri()

  Returns the currently set URI for this `Request`.

  Returns:
    The URI, as a String, of a module to invoke upon the next invocation of `Session.submitRequest(com.marklogic.xcc.Request)`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com